commit: 7a670969b8e815cc1919e0d5734544ef0a55174d
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 25 17:51:48 2020 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Sep 25 17:51:48 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a670969
sci-geosciences/gpsd: misc fixes
- Add missing || dies
- Guard python-bindings build system workaround with USE=python
(issue uncovered by added || die)
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Sam James <sam <AT> gentoo.org>
sci-geosciences/gpsd/gpsd-3.21.ebuild | 15 +++++++++------
1 file changed, 9 insertions(+), 6 deletions(-)
diff --git a/sci-geosciences/gpsd/gpsd-3.21.ebuild
b/sci-geosciences/gpsd/gpsd-3.21.ebuild
index 8083dc4252b..427bd9baf5c 100644
--- a/sci-geosciences/gpsd/gpsd-3.21.ebuild
+++ b/sci-geosciences/gpsd/gpsd-3.21.ebuild
@@ -6,7 +6,7 @@ EAPI=7
DISTUTILS_OPTIONAL=1
PYTHON_COMPAT=( python3_{6..9} )
-inherit eutils udev multilib distutils-r1 scons-utils toolchain-funcs
+inherit distutils-r1 scons-utils toolchain-funcs udev
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://gitlab.com/gpsd/gpsd.git"
@@ -94,9 +94,9 @@ src_prepare() {
-e 's:\<STAGING_PREFIX\>:SYSROOT:g' \
SConstruct || die
- #Fix systemd binary paths
- sed -i -e 's/local\///' 'systemd/gpsd.service'
- sed -i -e 's/local\///' 'systemd/[email protected]'
+ # Fix systemd binary paths
+ sed -i -e 's/local\///' 'systemd/gpsd.service' || die
+ sed -i -e 's/local\///' 'systemd/[email protected]' || die
default
@@ -190,8 +190,11 @@ src_install() {
newinitd "${FILESDIR}"/gpsd.init-2 gpsd
# Cleanup bad alt copy due to Scons
- rm -rf "${D}"/python-discard/gps*
- find "${D}"/python-discard/ -type d -delete
+ if use python ; then
+ rm -rf "${ED}"/python-discard/gps* || die
+ find "${ED}"/python-discard/ -type d -delete || die
+ fi
+
# Install correct multi-python copy
use python && distutils-r1_src_install
}